package it.cs.android1234;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;

public class FragmentLogExampleActivity extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        Log.d("LOG_EXAMPLE", "[ACTIVITY]: onCreate() --- before SetContentView");
        setContentView(R.layout.main);
        Log.d("LOG_EXAMPLE", "[ACTIVITY]: onCreate() --- after SetContentView");
    }
    
    public void onStart() {
    	super.onStart();
    	Log.d("LOG_EXAMPLE", "[ACTIVITY]: onStart()");
    }
    
    public void onResume() {
    	super.onResume();
    	Log.d("LOG_EXAMPLE", "[ACTIVITY]: onResume()");
    }
    
    public void onPause() {
    	super.onPause();
    	Log.d("LOG_EXAMPLE", "[ACTIVITY]: onPause()");
    }
    
    public void onStop() {
    	super.onStop();
    	Log.d("LOG_EXAMPLE", "[ACTIVITY]: onStop()");
    }
    
    public void onDestroy() {
    	super.onDestroy();
    	Log.d("LOG_EXAMPLE", "[ACTIVITY]: onDestroy()");
    }
    
}